#include "windef.h"

void * D2Malloc(I32 i32Arg) {

	if (i32Arg<1)
		return NULL;

	void *pTmp=GlobalAlloc(GPTR,i32Arg);

	return pTmp;

}

bool D2Free(void *pArg) {

	if (pArg==NULL)
		return false;

	GlobalFree(pArg);

	return true;
	
}

bool D2MemCopy(void *pArg1,void *pArg2,I32 i32Arg) {

	if (i32Arg<1)
		return false;

	if (pArg1==NULL || pArg2==NULL)
		return false;

	if (pArg1==pArg2)
		return true;

	if ((pArg1<pArg2 && (BUF)pArg1+i32Arg>pArg2) ||
		(pArg2<pArg1 && (BUF)pArg2+i32Arg>pArg1))
		MoveMemory(pArg1,pArg2,i32Arg);
	else
		CopyMemory(pArg1,pArg2,i32Arg);

	return true;

}

bool D2FillMemory(void *pArg,I32 i32Arg,UI8 u8Arg) {

	if (i32Arg<1)
		return false;

	FillMemory(pArg,i32Arg,u8Arg);

	return true;

}
